Index: modules/cnr-inspector-security/tags/cnr-inspector-security-1.1.2/pom.xml
===================================================================
--- modules/cnr-inspector-security/tags/cnr-inspector-security-1.1.2/pom.xml	(nonexistent)
+++ modules/cnr-inspector-security/tags/cnr-inspector-security-1.1.2/pom.xml	(revision 54425)
@@ -0,0 +1,53 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
+	<parent>
+		<groupId>eu.dnetlib</groupId>
+		<artifactId>dnet45-parent</artifactId>
+		<version>1.0.0</version>
+		<relativePath />
+	</parent>
+	<modelVersion>4.0.0</modelVersion>
+	<groupId>eu.dnetlib</groupId>
+	<artifactId>cnr-inspector-security</artifactId>
+	<packaging>jar</packaging>
+	<version>1.1.2</version>
+<scm>
+    <developerConnection>scm:svn:https://svn.driver.research-infrastructures.eu/driver/dnet45/modules/cnr-inspector-security/tags/cnr-inspector-security-1.1.2</developerConnection>
+    </scm>
+	<dependencies>
+		<dependency>
+			<groupId>junit</groupId>
+			<artifactId>junit</artifactId>
+			<version>${junit.version}</version>
+			<scope>test</scope>
+		</dependency>
+		<dependency>
+			<groupId>org.springframework.security</groupId>
+			<artifactId>spring-security-web</artifactId>
+			<version>3.2.1.RELEASE</version>
+		</dependency>
+		<dependency>
+			<groupId>org.springframework.security</groupId>
+			<artifactId>spring-security-config</artifactId>
+			<version>3.2.1.RELEASE</version>
+		</dependency>
+		<dependency>
+			<groupId>org.springframework</groupId>
+			<artifactId>spring-context</artifactId>
+			<version>${spring.version}</version>
+		</dependency>
+		<dependency>
+			<groupId>org.springframework</groupId>
+			<artifactId>spring-tx</artifactId>
+			<version>${spring.version}</version>
+		</dependency>
+		<dependency>
+			<groupId>javax.servlet</groupId>
+			<artifactId>javax.servlet-api</artifactId>
+			<version>3.1.0</version>
+			<scope>provided</scope>
+		</dependency>
+		
+		
+	</dependencies>
+</project>
Index: modules/cnr-inspector-security/tags/cnr-inspector-security-1.1.2/src/main/resources/eu/dnetlib/applicationContext-inspector-security.xml
===================================================================
--- modules/cnr-inspector-security/tags/cnr-inspector-security-1.1.2/src/main/resources/eu/dnetlib/applicationContext-inspector-security.xml	(nonexistent)
+++ modules/cnr-inspector-security/tags/cnr-inspector-security-1.1.2/src/main/resources/eu/dnetlib/applicationContext-inspector-security.xml	(revision 54425)
@@ -0,0 +1,60 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<beans xmlns="http://www.springframework.org/schema/beans"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:p="http://www.springframework.org/schema/p"
+	xmlns:context="http://www.springframework.org/schema/context"
+	xmlns:security="http://www.springframework.org/schema/security"
+	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
+			http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context.xsd
+            http://www.springframework.org/schema/security http://www.springframework.org/schema/security/spring-security.xsd">
+
+<!-- 	<security:debug /> -->
+
+	<security:http create-session="stateless">
+
+		<security:http-basic />
+
+		<security:intercept-url
+			pattern="/mvc/inspector/index.do/**/Security**/**/show" access="ROLE_USER" />
+		<security:intercept-url pattern="/mvc/inspector/index.do/**/User**/**/show"
+			access="ROLE_USER" />
+		<security:intercept-url
+			pattern="/mvc/inspector/index.do/**/Security**/**/list" access="ROLE_USER" />
+		<security:intercept-url pattern="/mvc/inspector/index.do/**/User**/**/list"
+			access="ROLE_USER" />
+		<security:intercept-url pattern="/mvc/inspector/index.do/**/show"
+			access="ROLE_ANONYMOUS, ROLE_USER" />
+		<security:intercept-url pattern="/mvc/inspector/index.do/**/list"
+			access="ROLE_ANONYMOUS, ROLE_USER" />
+		<security:intercept-url pattern="/mvc/inspector/msroProcessImage.do/**"
+			access="ROLE_ANONYMOUS, ROLE_USER" />
+		<security:intercept-url pattern="/mvc/inspector/backup.do/**"
+			access="ROLE_ANONYMOUS, ROLE_USER" />
+		<security:intercept-url pattern="/mvc/inspector/static.do/**"
+			access="ROLE_ANONYMOUS, ROLE_USER" />
+		<security:intercept-url pattern="/mvc/oai/**"
+			access="ROLE_ANONYMOUS, ROLE_USER" />
+		<security:intercept-url pattern="/mvc/api/**" access="ROLE_ANONYMOUS" />
+		<security:intercept-url pattern="/mvc/inspector/**"
+			access="ROLE_USER" />
+		<security:intercept-url pattern="/mvc/ui/**"
+			access="ROLE_USER" />
+		<security:intercept-url pattern="/monitoring/**"
+			access="ROLE_MONITOR" />
+
+		<security:anonymous username="guest"
+			granted-authority="ROLE_ANONYMOUS" />
+	</security:http>
+
+	<security:authentication-manager>
+		<security:authentication-provider>
+			<security:password-encoder hash="md5" />
+			<security:user-service>
+				<security:user name="admin" password="${inspector.admin.password}"
+					authorities="ROLE_USER" />
+				<security:user name="monitor" password="${inspector.monitor.password}"
+				    authorities="ROLE_MONITOR" />
+			</security:user-service>
+		</security:authentication-provider>
+	</security:authentication-manager>
+
+</beans>
\ No newline at end of file
Index: modules/cnr-inspector-security/tags/cnr-inspector-security-1.1.2/src/main/resources/eu/dnetlib/applicationContext-inspector-security.properties
===================================================================
--- modules/cnr-inspector-security/tags/cnr-inspector-security-1.1.2/src/main/resources/eu/dnetlib/applicationContext-inspector-security.properties	(nonexistent)
+++ modules/cnr-inspector-security/tags/cnr-inspector-security-1.1.2/src/main/resources/eu/dnetlib/applicationContext-inspector-security.properties	(revision 54425)
@@ -0,0 +1,2 @@
+inspector.admin.password=e2d45d57c7e2941b65c6ccd64af4223e
+inspector.monitor.password=d3e58dc6e3fbed20b60d8af2d8b54bb4
Index: modules/cnr-inspector-security/tags/cnr-inspector-security-1.1.2/cnr-inspector-security.iml
===================================================================
--- modules/cnr-inspector-security/tags/cnr-inspector-security-1.1.2/cnr-inspector-security.iml	(nonexistent)
+++ modules/cnr-inspector-security/tags/cnr-inspector-security-1.1.2/cnr-inspector-security.iml	(revision 54425)
@@ -0,0 +1,29 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<module org.jetbrains.idea.maven.project.MavenProjectsManager.isMavenModule="true" type="JAVA_MODULE" version="4">
+  <component name="NewModuleRootManager" LANGUAGE_LEVEL="JDK_1_8">
+    <output url="file://$MODULE_DIR$/target/classes" />
+    <output-test url="file://$MODULE_DIR$/target/test-classes" />
+    <content url="file://$MODULE_DIR$">
+      <sourceFolder url="file://$MODULE_DIR$/src/main/java" isTestSource="false" />
+      <sourceFolder url="file://$MODULE_DIR$/src/main/resources" type="java-resource" />
+      <excludeFolder url="file://$MODULE_DIR$/target" />
+    </content>
+    <orderEntry type="inheritedJdk" />
+    <orderEntry type="sourceFolder" forTests="false" />
+    <orderEntry type="library" scope="TEST" name="Maven: junit:junit:4.9" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.hamcrest:hamcrest-core:1.1" level="project" />
+    <orderEntry type="library" name="Maven: org.springframework.security:spring-security-web:3.2.1.RELEASE" level="project" />
+    <orderEntry type="library" name="Maven: aopalliance:aopalliance:1.0" level="project" />
+    <orderEntry type="library" name="Maven: org.springframework.security:spring-security-core:3.2.1.RELEASE" level="project" />
+    <orderEntry type="library" name="Maven: org.springframework:spring-beans:3.2.8.RELEASE" level="project" />
+    <orderEntry type="library" name="Maven: org.springframework:spring-core:3.2.8.RELEASE" level="project" />
+    <orderEntry type="library" name="Maven: org.springframework:spring-expression:3.2.8.RELEASE" level="project" />
+    <orderEntry type="library" name="Maven: org.springframework:spring-web:3.2.8.RELEASE" level="project" />
+    <orderEntry type="library" name="Maven: org.springframework.security:spring-security-config:3.2.1.RELEASE" level="project" />
+    <orderEntry type="library" name="Maven: org.springframework:spring-aop:3.2.8.RELEASE" level="project" />
+    <orderEntry type="library" name="Maven: org.springframework:spring-context:4.2.5.RELEASE" level="project" />
+    <orderEntry type="library" name="Maven: org.springframework:spring-tx:4.2.5.RELEASE" level="project" />
+    <orderEntry type="library" scope="PROVIDED" name="Maven: javax.servlet:javax.servlet-api:3.1.0" level="project" />
+    <orderEntry type="library" name="Maven: log4j:log4j:1.2.17" level="project" />
+  </component>
+</module>
\ No newline at end of file
Index: modules/cnr-inspector-security/tags/cnr-inspector-security-1.1.2/deploy.info
===================================================================
--- modules/cnr-inspector-security/tags/cnr-inspector-security-1.1.2/deploy.info	(nonexistent)
+++ modules/cnr-inspector-security/tags/cnr-inspector-security-1.1.2/deploy.info	(revision 54425)
@@ -0,0 +1 @@
+{"type_source": "SVN", "goal": "package -U -T 4C source:jar", "url": "http://svn-public.driver.research-infrastructures.eu/driver/dnet45/modules/cnr-inspector-security/trunk/", "deploy_repository": "dnet45-snapshots", "version": "4", "mail": "sandro.labruzzo@isti.cnr.it,michele.artini@isti.cnr.it, claudio.atzori@isti.cnr.it, alessia.bardi@isti.cnr.it", "deploy_repository_url": "http://maven.research-infrastructures.eu/nexus/content/repositories/dnet45-snapshots", "name": "cnr-inspector-security"}
\ No newline at end of file
Index: modules/cnr-inspector-security/tags/cnr-inspector-security-1.1.2/.project
===================================================================
--- modules/cnr-inspector-security/tags/cnr-inspector-security-1.1.2/.project	(nonexistent)
+++ modules/cnr-inspector-security/tags/cnr-inspector-security-1.1.2/.project	(revision 54425)
@@ -0,0 +1,42 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+	<name>cnr-inspector-security</name>
+	<comment></comment>
+	<projects>
+	</projects>
+	<buildSpec>
+		<buildCommand>
+			<name>org.eclipse.wst.common.project.facet.core.builder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>org.eclipse.jdt.core.javabuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>org.eclipse.m2e.core.maven2Builder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>org.springframework.ide.eclipse.core.springbuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>org.eclipse.wst.validation.validationbuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+	</buildSpec>
+	<natures>
+		<nature>org.eclipse.jem.workbench.JavaEMFNature</nature>
+		<nature>org.eclipse.wst.common.modulecore.ModuleCoreNature</nature>
+		<nature>org.springframework.ide.eclipse.core.springnature</nature>
+		<nature>org.eclipse.m2e.core.maven2Nature</nature>
+		<nature>org.eclipse.jdt.core.javanature</nature>
+		<nature>org.eclipse.wst.common.project.facet.core.nature</nature>
+	</natures>
+</projectDescription>
Index: modules/cnr-inspector-security/tags/cnr-inspector-security-1.1.2
===================================================================
--- modules/cnr-inspector-security/tags/cnr-inspector-security-1.1.2	(nonexistent)
+++ modules/cnr-inspector-security/tags/cnr-inspector-security-1.1.2	(revision 54425)

Property changes on: modules/cnr-inspector-security/tags/cnr-inspector-security-1.1.2
___________________________________________________________________
Added: svn:ignore
## -0,0 +1,5 ##
+.classpath
+.settings
+target
+.project
+