Index: modules/uoa-repository-manager-service/trunk/deploy.info
===================================================================
--- modules/uoa-repository-manager-service/trunk/deploy.info	(revision 54923)
+++ modules/uoa-repository-manager-service/trunk/deploy.info	(nonexistent)
@@ -1,11 +0,0 @@
-
-{
-  "type_source": "SVN", 
-  "goal": "package -U -T 4C source:jar", 
-  "url": "http://svn-public.driver.research-infrastructures.eu/driver/dnet45/modules/uoa-repository-manager-service/trunk", 
-  "deploy_repository": "dnet45-snapshots", 
-  "version": "4", 
-  "mail": "antleb@di.uoa.gr, stefania.martziou@imis.athena-innovation.gr, pkanakakis@di.uoa.gr", 
-  "deploy_repository_url": "http://maven.research-infrastructures.eu/nexus/content/repositories/dnet45-snapshots", 
-  "name": "uoa-repository-manager-service"
-}
Index: modules/uoa-repository-manager-service/trunk/src/main/resources/eu/dnetlib/repo/manager/service/application.properties
===================================================================
--- modules/uoa-repository-manager-service/trunk/src/main/resources/eu/dnetlib/repo/manager/service/application.properties	(revision 54923)
+++ modules/uoa-repository-manager-service/trunk/src/main/resources/eu/dnetlib/repo/manager/service/application.properties	(nonexistent)
@@ -1,115 +0,0 @@
-infrastructure.name=integration
-
-# Container properties
-container.hostname = localhost
-container.context=repoManager
-container.port = 8080
-
-# IS
-ISLookUpService.url = http://node6.t.openaire.research-infrastructures.eu/is/services/isLookUp
-ISRegistryService.url = http://node6.t.openaire.research-infrastructures.eu/is/services/isRegistry
-ISSNService.url = http://node6.t.openaire.research-infrastructures.eu/is/services/isSN
-#ISLookUpService.url = http://localhost:9190/is/services/isLookUp
-#ISRegistryService.url = http://localhost:9190/is/services/isRegistry
-#ISSNService.url = http://localhost:9190/is/services/isSN
-# LDAP
-services.users.ldap.address = 194.177.192.119
-services.users.ldap.port = 389
-services.users.ldap.username = cn=admin,dc=openaire,dc=eu
-services.users.ldap.password = serenata
-services.users.ldap.usersDN = ou=users,dc=openaire,dc=eu
-
-#services.repo-manager.repository.testing.mode = true
-
-ValidatorService.url=http://adonis.athenarc.gr:8080/validator-service/services/validatorWebService
-
-# Broker Service
-services.broker.url = http://broker1-dev-dnet.d4science.org
-#services.broker.url = http://localhost
-services.broker.port = 8080
-#services.broker.port = 9090
-services.broker.api = api/
-services.broker.openaire = openaireBroker
-
-#
-# Configuration file classpath
-configurationFileClassPath=classpath:application-context.xml
-
-api.baseAddress=https://dev-openaire.d4science.org/openaire
-#api.baseAddress=http://beta.services.openaire.eu:8080/openaire/
-
-
-service.repository-rest-api.baseUrl = http://localhost:8080
-
-
-# the address where validator is running and is accessible from the controllers of the web
-services.repo-manager.baseUrl = http://${container.hostname}:${container.port}/${container.context}
-
-# base address for soap web services
-transport.soap.baseAddress = http://${container.hostname}:${container.port}/${container.context}
-
-transport.soap.force.local.address = false
-
-# the email of the administrator
-# he will receive all the automatic bug reports and feedback created
-services.repo-manager.adminEmail = nikonas@di.uoa.gr
-
-# if set to true, getRepositories will return dummy repositories
-services.repo-manager.repository.testing.mode = false
-
-services.repo-manager.deploy.environment = development
-
-# the mailhost for the mail service
-services.validator.mail.host = smtp.gmail.com
-# the port where the mail service is running
-services.validator.mail.port = 465
-# the address that appears in the from field in the mails send by the validator
-services.validator.mail.fromAddress = no-reply@openaire.eu
-# the reply-to field value in the mails send by the validator
-services.validator.mail.replyToAddress = no-reply@openaire.eu
-# the username of the account used to login in the mail server
-services.validator.mail.username = test.openaire@gmail.com
-# the password of the account used to login in the mail server
-services.validator.mail.password = ^($*@$)*!$
-# if authentication should take place
-# if set to false username and password is not needed
-services.validator.mail.authenticate = true
-# is set to yes then all mails will not be sent to their targets but to the address specified in services.validator.mail.overrideEmail
-services.validator.mail.override = false
-# if set to true then no mails are send, they are only logged as a debug message
-services.validator.mail.logonly = false
-# the mode used for the mails send by the validator
-services.validator.mail.mode = ssl
-# used by eu.dnetlib.utils.MailLibrary to control debuggin messages
-services.validator.mail.debug = false
-# if services.validator.mail.override is true then all mails will be send only to this address
-services.validator.mail.overrideEmail = nikonas@di.uoa.gr
-# a comma-seperated list of address that will receive all mails about validations and repo registrations
-services.validator.mail.specialRecipients = nikonas@di.uoa.gr
-
-# a comma-seperated list of addresses that have the ability to register repos without the need for validation and registration
-services.validator.repoRegistration.override = nikonas@di.uoa.gr
-
-
-repomanager.db.driverClassName = org.postgresql.Driver
-repomanager.db.url = jdbc:postgresql://194.177.192.119:5432/repomanager
-repomanager.db.username = dnet
-repomanager.db.password = dnetPwd
-
-services.repomanager.analyticsURL = http://analytics.openaire.eu/addsite.php?
-
-topic_types.url = https://beta.services.openaire.eu/provision/mvc/vocabularies/dnet:topic_types.json
-
-#oidc.issuer = https://aai.openminted.eu/oidc/
-#oidc.id = 24e83176-1312-4ba3-bc0b-ffeebea1603e
-#oidc.secret = U_gLOupYu2trYIOwfxGgZkkZoOHG_zGfaViOUsXcZ7qVQuF1rcJeQYKIDX1TY3z27CIoHaqq9ht2rmAiUmBRYQ
-#webapp.home = http://localhost:8380/repomanager-service/openid_connect_login
-#webapp.front=http://localhost:8380/
-
-redis.host = 83.212.101.85
-#redis.port = 6379
-#redis.password
-
-services.repomanager.usageStatisticsDiagramsBaseURL = https://beta.openaire.eu/stats3/
-services.repomanager.usageStatisticsNumbersBaseURL = https://beta.services.openaire.eu/usagestats/datasources/
-services.repomanager.usagestats.adminEmail = repositoryusagestats@openaire.eu
\ No newline at end of file
Index: modules/uoa-repository-manager-service/trunk/src/main/java/eu/dnetlib/repo/manager/service/RepositoryServiceImpl.java
===================================================================
--- modules/uoa-repository-manager-service/trunk/src/main/java/eu/dnetlib/repo/manager/service/RepositoryServiceImpl.java	(revision 54923)
+++ modules/uoa-repository-manager-service/trunk/src/main/java/eu/dnetlib/repo/manager/service/RepositoryServiceImpl.java	(revision 54924)
@@ -412,9 +412,9 @@
             HttpEntity<String> httpEntity = new HttpEntity<String>(json_repository, httpHeaders);
             ResponseEntity responseEntity = restTemplate.exchange(uriComponents.toUri(),HttpMethod.POST, httpEntity, ResponseEntity.class);
 
-            if (responseEntity.getStatusCode().equals(HttpStatus.OK))
+            if (responseEntity.getStatusCode().equals(HttpStatus.OK)) {
                 emailUtils.sendUserRegistrationEmail(repository, authentication);
-            else
+            }else
                 LOGGER.debug(responseEntity.getBody().toString());
 
             return repository;
Index: modules/uoa-repository-manager-service/trunk/pom.xml
===================================================================
--- modules/uoa-repository-manager-service/trunk/pom.xml	(revision 54923)
+++ modules/uoa-repository-manager-service/trunk/pom.xml	(revision 54924)
@@ -12,7 +12,7 @@
     <groupId>eu.dnetlib</groupId>
     <artifactId>uoa-repository-manager-service</artifactId>
     <version>1.0.0-SNAPSHOT</version>
-    <packaging>jar</packaging>
+    <packaging>war</packaging>
 
 
     <dependencies>
@@ -113,12 +113,6 @@
         </dependency>
 
         <dependency>
-            <groupId>org.slf4j</groupId>
-            <artifactId>slf4j-log4j12</artifactId>
-            <version>1.5.6</version>
-        </dependency>
-
-        <dependency>
             <groupId>xerces</groupId>
             <artifactId>xercesImpl</artifactId>
             <version>2.11.0</version>